--- title: "Granting Service User Admin Role" slug: "granting-service-user-admin-role" updated: 2026-09-07T12:13:05Z published: 2026-09-07T12:13:05Z canonical: "docs.britive.com/granting-service-user-admin-role" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.britive.com/llms.txt > Use this file to discover all available pages before exploring further. # Granting Service User Admin Role 1. Get the role ID: ```plaintext curl -G /admin/v1/AppRoles \  -H "Authorization: Bearer " \  --data-urlencode 'filter=displayName eq "Identity Domain Administrator"' ``` 2. Copy to grant permission: ```plaintext curl -X POST /admin/v1/Grants \  -H "Authorization: Bearer " \  -H "Content-Type: application/scim+json" \  -d '{    "schemas": ["urn:ietf:params:scim:schemas:oracle:idcs:Grant"],    "grantee": { "value": "", "type": "User" },    "app": { "value": "IDCSAppId" },    "entitlement": { "attributeName": "appRoles", "attributeValue": "" },    "grantMechanism": "ADMINISTRATOR_TO_USER"  }' ```